Bug 235259 - [exp-run] devel/bison: Update to 3.3.2
Summary: [exp-run] devel/bison: Update to 3.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-28 03:05 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-02-07 23:17 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-01-28 03:05:40 UTC
Update to 3.2.4

Changes:        https://git.savannah.gnu.org/cgit/bison.git/tree/NEWS
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-01-28 16:43:11 UTC
Upstream just released 3.3.1. Here's the updated patch.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-05 11:40:44 UTC
Update to latest 3.3.2. Here's the updated patch, including the fix for security/ike. 3.3.2 fixed a bug which previous versions failed to generate parsers for grammars with unused nonterminal symbols.
Comment 4 Antoine Brodin freebsd_committer 2019-02-07 06:57:37 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2019-02-07 23:14:13 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Feb  7 23:13:53 UTC 2019
New revision: 492390
URL: https://svnweb.freebsd.org/changeset/ports/492390

Log:
  Update devel/bison to 3.3.2

  Changes:	https://git.savannah.gnu.org/cgit/bison.git/tree/NEWS
  PR:		235259
  Exp-run by:	antoine

Changes:
  head/devel/bison/Makefile
  head/devel/bison/distinfo
  head/devel/bison/pkg-plist
  head/security/ike/files/patch-source-iked-conf.parse.yy
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-07 23:17:56 UTC
Committed. Thanks!